Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ntt
Interface NTTObjectIdentifiers

public interface NTTObjectIdentifiers

From RFC 3657 Use of the Camellia Encryption Algorithm in Cryptographic Message Syntax (CMS)

Field Summary
`static ASN1ObjectIdentifier` | `id_camellia128_cbc` id-camellia128-cbc; OID 1.2.392.200011.61.1.1.1.2
`static ASN1ObjectIdentifier` | `id_camellia128_wrap` id-camellia128-wrap; OID 1.2.392.200011.61.1.1.3.2
`static ASN1ObjectIdentifier` | `id_camellia192_cbc` id-camellia192-cbc; OID 1.2.392.200011.61.1.1.1.3
`static ASN1ObjectIdentifier` | `id_camellia192_wrap` id-camellia192-wrap; OID 1.2.392.200011.61.1.1.3.3
`static ASN1ObjectIdentifier` | `id_camellia256_cbc` id-camellia256-cbc; OID 1.2.392.200011.61.1.1.1.4
`static ASN1ObjectIdentifier` | `id_camellia256_wrap` id-camellia256-wrap; OID 1.2.392.200011.61.1.1.3.4

Field Detail

### id_camellia128_cbc

    public static final ASN1ObjectIdentifier id_camellia128_cbc

  id-camellia128-cbc; OID 1.2.392.200011.61.1.1.1.2

### id_camellia192_cbc

    public static final ASN1ObjectIdentifier id_camellia192_cbc

  id-camellia192-cbc; OID 1.2.392.200011.61.1.1.1.3

### id_camellia256_cbc

    public static final ASN1ObjectIdentifier id_camellia256_cbc

  id-camellia256-cbc; OID 1.2.392.200011.61.1.1.1.4

### id_camellia128_wrap

    public static final ASN1ObjectIdentifier id_camellia128_wrap

  id-camellia128-wrap; OID 1.2.392.200011.61.1.1.3.2

### id_camellia192_wrap

    public static final ASN1ObjectIdentifier id_camellia192_wrap

  id-camellia192-wrap; OID 1.2.392.200011.61.1.1.3.3

### id_camellia256_wrap

    public static final ASN1ObjectIdentifier id_camellia256_wrap

  id-camellia256-wrap; OID 1.2.392.200011.61.1.1.3.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD